std::atomic< char16_t > Struct Reference
Atomics

`#include <atomic>`

## Public Types

typedef __atomic_base< char16_t > | __base_type
typedef char16_t | __integral_type
using | value_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (char16_t &__e, char16_t __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (char16_t &__e, char16_t __i, memory_order __s, memory_order __f) noexcept
char16_t | exchange (char16_t __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
char16_t | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator char16_t () const noexcept
| operator char16_t () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (char16_t __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for char16_t.

Definition at line 1051 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<char16_t> std::atomic< char16_t >::__base_type

Definition at line 1054 of file atomic.

## __integral_type

typedef char16_t std::atomic< char16_t >::__integral_type

Definition at line 1053 of file atomic.

## value_type

using std::atomic< char16_t >::value_type

Definition at line 202 of file atomic.

## Constructor & Destructor Documentation

## atomic()

std::atomic< char16_t >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 1062 of file atomic.

## Member Function Documentation

## compare_exchange_strong()

bool std::atomic< char16_t >::compare_exchange_strong | ( | char16_t & | __e,
|  | char16_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 383 of file atomic.

## compare_exchange_weak()

bool std::atomic< char16_t >::compare_exchange_weak | ( | char16_t & | __e,
|  | char16_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 355 of file atomic.

## exchange()

char16_t std::atomic< char16_t >::exchange | ( | char16_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 332 of file atomic.

## is_lock_free()

bool std::atomic< char16_t >::is_lock_free | ( |  | ) | const

inline noexcept

Definition at line 277 of file atomic.

## load()

char16_t std::atomic< char16_t >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const

inline noexcept

Definition at line 314 of file atomic.

## operator char16_t() [1/2]

std::atomic< char16_t >::operator char16_t | ( |  | ) | const

inline noexcept

Definition at line 262 of file atomic.

## operator char16_t() [2/2]

std::atomic< char16_t >::operator char16_t | ( |  | ) | const volatile

inline noexcept

Definition at line 265 of file atomic.

## store()

void std::atomic< char16_t >::store | ( | char16_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 298 of file atomic.

The documentation for this struct was generated from the following file:

- atomic